Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 634066 - media-gfx/povray-3.7.0.0-r1: configure: error: Could not find a version of the library!
Summary: media-gfx/povray-3.7.0.0-r1: configure: error: Could not find a version of th...
Status: CONFIRMED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal with 1 vote (vote)
Assignee: Gentoo Science Related Packages
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-12 04:26 UTC by Andrey Grozin
Modified: 2018-06-08 12:20 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
log (povray.log,40.79 KB, text/plain)
2017-10-12 04:29 UTC, Andrey Grozin
Details
config.log (config.log,53.02 KB, text/plain)
2017-10-12 04:31 UTC, Andrey Grozin
Details
emerge --info output (info,7.57 KB, text/plain)
2017-10-12 04:33 UTC, Andrey Grozin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andrey Grozin gentoo-dev 2017-10-12 04:26:44 UTC
Trying to re-emerge media-gfx/povray-3.7.0.0-r1 after upgrading boost to 1.65.0

checking for boostlib >= 1.37 (103700)... yes
checking whether the Boost::System library is available... yes
configure: error: Could not find a version of the library!

!!! Please attach the following file when seeking support:
!!! /var/tmp/portage/media-gfx/povray-3.7.0.0-r1/work/povray-3.7.0.0/config.log
 * ERROR: media-gfx/povray-3.7.0.0-r1::gentoo failed (configure phase):
 *   econf failed
 * 
 * Call stack:
 *               ebuild.sh, line  124:  Called src_configure
 *             environment, line 2866:  Called econf 'COMPILED_BY=Portage (Gentoo Linux) on elrond.inp.nsk.su' '--disable-debug' '--enable-io-restrictions' '--without-openexr' '--with-libtiff=/usr/lib' '--with-libsdl=/usr/lib' '--with-x=/usr/lib' '--disable-static' '--without-libmkl' '--disable-pipe' '--disable-strip' '--disable-optimiz' '--disable-optimiz-arch'
 *        phase-helpers.sh, line  665:  Called __helpers_die 'econf failed'
 *   isolated-functions.sh, line  117:  Called die
 * The specific snippet of code:
 *              die "$@"
Comment 1 Andrey Grozin gentoo-dev 2017-10-12 04:29:53 UTC
Created attachment 498414 [details]
log
Comment 2 Andrey Grozin gentoo-dev 2017-10-12 04:31:16 UTC
Created attachment 498416 [details]
config.log
Comment 3 Andrey Grozin gentoo-dev 2017-10-12 04:33:10 UTC
Created attachment 498418 [details]
emerge --info output
Comment 4 Christoph Junghans gentoo-dev 2017-11-01 19:52:45 UTC
Try to install the latest version of sys-devel/boost-m4.
Comment 5 Andrey Grozin gentoo-dev 2017-11-03 05:53:41 UTC
(In reply to Christoph Junghans from comment #4)
> Try to install the latest version of sys-devel/boost-m4.
I already have the latest version, 0.4_p20160328. Just to be sure, I've re-emerged sys-devel/boost-m4 (fine) and tried media-gfx/povray-3.7.0.0-r1. It failed in the same way.
Comment 6 Heiko Schäfer 2018-02-02 06:41:00 UTC
Quick & Dirty workaround:

append

--with-boost-libdir=/usr/lib \
--with-boost-system=boost_system \
--with-boost-thread=boost_thread

to econf in src_configure
Comment 7 Guilherme Amadio gentoo-dev 2018-06-08 12:20:38 UTC
Could you please try again? I added a fix for prefix that probably fixes this too.